class Api::TalentReleasesController < Api::ReleasesController
  deserializable_resource :talent_release, only: [:create, :update]

  def model_name
    "talent_release"
  end

  def attributes_for_index
    [:person_name]
  end

  def handle_attachments(release, _)
    super

    guardian_photo = release_create_params[:guardian_photo]
    if guardian_photo
      guardian_photo[:io] = StringIO.new(Base64.decode64(guardian_photo[:io]))
      release.guardian_photo.attach(io: guardian_photo[:io], filename: guardian_photo[:filename])
    end
  end
end
